## ros-indigo-pr2-base-trajectory-action 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_base_trajectory_action)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  angles
  control_msgs
  geometry_msgs
  nav_msgs
  roscpp
  trajectory_msgs
)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS})

catkin_package(
    DEPENDS
    CATKIN_DEPENDS actionlib control_msgs geometry_msgs nav_msgs
    INCLUDE_DIRS include
    LIBRARIES
)

add_executable(pr2_base_trajectory_action
  src/pr2_base_trajectory_action_controller.cpp
  src/pr2_base_trajectory_action_controller_node.cpp)
target_link_libraries(pr2_base_trajectory_action ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY config include launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS pr2_base_trajectory_action
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  catkin_add_gtest(spline_test
    test/spline_test.cpp)
  target_link_libraries(spline_test ${catkin_LIBRARIES} ${Boost_LIBRARIES})
#  add_rostest(test/pr2_base_trajectory_action.test)
endif()

=== debian/changelog ===
ros-indigo-pr2-base-trajectory-action (1.1.0-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.7-1trusty) trusty; urgency=high

  * [pr2_base_trajectory_action/CMakeLists.txt] temp disable test
  * [pr2_base_trajectory_action] remove dependency to pr2_controller_msgs
    * refactor codes
    * remove pr2 related packages from dependencies
    * use control_msgs/FollowJointTrajectoryAction
    * support feedback message
    * added test codes
    * some bugfixes of old codes
    * checked on real robot
    * update launch files
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.6-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.5-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.4-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.3-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.2-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.1-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (1.0.0-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.13-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.12-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.11-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.10-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.9-1trusty) trusty; urgency=high

  * remove old rosmake related files
  * Contributors: Kei Okada

 -- saito <t@t.com>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.8-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.7-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.6-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.5-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.4-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.3-1trusty) trusty; urgency=high



 -- saito <t@t.com>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.2-1trusty) trusty; urgency=high

  * add install commands to cmake
  * Contributors: Kei Okada

 -- saito <t@t.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-pr2-base-trajectory-action (0.0.1-1trusty) trusty; urgency=high

  * fix version number
  * move pr2 related package under jsk_pr2_robot
  * Contributors: Kei Okada, Yuto Inagaki

 -- saito <t@t.com>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-base-trajectory-action
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/pr2_base_trajectory_action
Standards-Version: 3.9.2

Package: ros-indigo-pr2-base-trajectory-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-rostest
Description: pr2_base_trajectory_action is a node that exposes and action interface to move robot base along a trajectory.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-base-trajectory-action//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
